gnutls_handshake_set_private_extensions(3)

NAME
gnutls_handshake_set_private_extensions - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_private_extensions(gnutls_session_t session, int allow);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int allow
    is an integer (0 or 1)

DESCRIPTION
This function will enable or disable the use of private cipher suites (the ones that start with 0xFF). By default or if allow is 0 then these cipher suites will not be advertised nor used. Currently GnuTLS does not include such cipher-suites or compression algorithms. Enabling the private ciphersuites when talking to other than gnutls servers and clients may cause interoperability problems.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/